;________________________________________________________________________
;
;                           S E T T I N G S . A S M
;________________________________________________________________________
;
; Reading Options from a table
; by Colin Buckup N5GG n5gg@hotmail.com April 00
; based on the original code PICE90 for Position Sending with the PIC-E
; previously written by Byon Garrabrant  N6BG  byon@mail.com  Feb 99
; All copyrights that apply do Byon's code also apply to this version
;________________________________________________________________________
;
; VERY IMPORTANT:
; Please modify these settings before compiling to reflect your station's
; configuration.
; Only modify the setting where you know what you're doing...
;________________________________________________________________________
;
; Revision
; v 1.0 - 04/06/00 - Colin
; v 1.1mrc 10/28/01 - Mark Cheavens KC5EVE mcheavens@usa.net
; GPS.ASM contains the Speed threshold Table
;
;________________________________________________________________________

#define	OPT_AUTO_TX_DELAY	D'0'
#define	OPT_MANUAL_TX_DELAY	D'1'
#define	OPT_MESSAGE		D'2'
#define	OPT_SYMBOL		D'3'
#define	OPT_SYMBOL_TABLE	D'4'
#define	OPT_PATH		D'5'
#define	OPT_AUTO_TIME		D'6'	; table w/7 values for pos. update rate
#define	OPT_MANUAL_TIME		D'13'
#define	OPT_QUIET_TIME		D'14'
#define	OPT_BEACON_RATE		D'15'
#define	OPT_BEACON_OFFSET	D'16'
#define	OPT_CALLSIGN_DIGI	D'17'

#define	CONFIG_SELECT		PORTA, 4
;________________________________________________________________________

	ORG	H'300'			

Get_Option
	bsf	PCLATH,0
	bsf	PCLATH,1

	btfss	CONFIG_SELECT
	 addlw	D'120'

	call	_Get_Option
	bcf	PCLATH,0
	bcf	PCLATH,1
	return
;________________________________________________________________________

_Get_Option
	addwf	PCL, F

Option1_Start
;Pin 3 connected to the center pin (switch to the left) Mode or Config 1
	dt	D'60'		; 0 - number of flags to send auto: 400ms (1s -> 150 flags)
	dt	D'6'		; 1 - number of flags to send manual: 40ms
	dt	D'1'		; 2 - mic-e message: 0 (stand-by) 1 (enroute)
        dt      '>'             ; 3 - aprs symbol: >=car-table1 k=truck-table2
        dt      H'2F'           ; 4 - aprs symbol table: 2F=table1 5C=table2
	dt	H'0'		; 5 - mic-e path: 0 -> omni

        dt      D'180'          ; DO NOT MODIFY!!! 6  - auto time x10 sec (every 30 min; Speed up to 1kn )
        dt      D'30'           ; DO NOT MODIFY!!! 7  - auto time x10 sec (every 5  min; Speed up to 4kn )
        dt      D'12'           ; DO NOT MODIFY!!! 8  - auto time x10 sec (every 2  min; Speed up to 11kn)
        dt      D'6'            ; DO NOT MODIFY!!! 9  - auto time x10 sec (every 1  min; Speed up to 21kn)
        dt      D'3'            ; DO NOT MODIFY!!! 10 - auto time x10 sec (every 30 sec; Speed up to 38kn)
        dt      D'2'            ; DO NOT MODIFY!!! 11 - auto time x10 sec (every 20 sec; Speed up to 67kn)
        dt      D'1'            ; DO NOT MODIFY!!! 12 - auto time x10 sec (every 10 sec; Speed over  68kn)

	dt	D'1'		; 13 - manual time x10 sec (1 = 10 sec)
	dt	D'1'		; 14 - quiet time before ptt in seconds
        dt      D'10'           ; 15 - beacon rate: 10=beacon every tenth transmition
	dt	Beacon1_Start - Option1_Start  ; 16 - beacon offset

        dt      "W5MAY ", D'8' + H'30'  ; callsign and digis
        dt      "RELAY ", D'0' + H'30'  ; callsign and digis
        dt      "WIDE4 ", D'4' + H'30'  ; callsign and digis
;       dt      "WIDE  ", D'0' + H'30'  ; callsign and digis
;	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
;	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	0
Beacon1_Start
;               " leading space seems required "  
        dt      " APRSpeed gerry@w5may.com 1 "    ; beacon
	dt	0
;________________________________________________________________________

	ORG	Option1_Start + D'120'

Option2_Start
;Pin 1 connected to the center pin (switch to the right) MODE or CONFIG 2
	dt	D'60'		; 0 - number of flags to send auto: 400ms (1s -> 150 flags)
	dt	D'6'		; 1 - number of flags to send manual: 40ms
	dt	D'1'		; 2 - mic-e message: 0 (stand-by) 1 (enroute)
        dt      '>'             ; 3 - aprs symbol: >=car-table1 k=truck-table2
        dt      H'2F'           ; 4 - aprs symbol table: 2F=table1 5C=table2
	dt	H'0'		; 5 - mic-e path: 0 -> omni

        dt      D'180'          ; DO NOT MODIFY!!! 6  - auto time x10 sec (every 30 min; Speed up to 1kn )
        dt      D'30'           ; DO NOT MODIFY!!! 7  - auto time x10 sec (every 5  min; Speed up to 4kn )
        dt      D'12'           ; DO NOT MODIFY!!! 8  - auto time x10 sec (every 2  min; Speed up to 11kn)
        dt      D'6'            ; DO NOT MODIFY!!! 9  - auto time x10 sec (every 1  min; Speed up to 21kn)
        dt      D'3'            ; DO NOT MODIFY!!! 10 - auto time x10 sec (every 30 sec; Speed up to 38kn)
        dt      D'2'            ; DO NOT MODIFY!!! 11 - auto time x10 sec (every 20 sec; Speed up to 67kn)
        dt      D'1'            ; DO NOT MODIFY!!! 12 - auto time x10 sec (every 10 sec; Speed over  68kn)

	dt	D'1'		; 13 - manual time x10 sec (1 = 10 sec)
	dt	D'1'		; 14 - quiet time before ptt in seconds
        dt      D'10'           ; 15 - beacon rate: beacon every tenth transmition
	dt	Beacon1_Start - Option1_Start  ; 16 - beacon offset


;               "6chmax"   's' All of below is call + ssid s
        dt      "W5MAY ", D'8' + H'30'  ; callsign and digis
        dt      "RELAY ", D'0' + H'30'  ; callsign and digis
        dt      "TRACE5", D'5' + H'30'  ; callsign and digis
;       dt      "WIDE2 ", D'2' + H'30'  ; callsign and digis
;	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
;	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	0
Beacon2_Start
;               " leading space seems required "  
        dt      " APRSpeed gerry@w5may.com 2 "    ; beacon
	dt	0
;________________________________________________________________________

